import request from '@/utils/request'

// 获取裂解炉炉管测压fvp分析数据
export function getFvpAnalysis(data) {
  return request({
    url: '/production/pressure/getFvpAnalysis',
    method: 'post',
    data: data
  })
}

// 获取裂解炉炉管测压详细信息
export function getInfoByDate(data) {
  return request({
    url: '/production/pressure/info',
    method: 'post',
    data: data
  })
}

// 查询裂解炉炉管测压MAX
export function listFvp(query) {
  return request({
    url: '/production/pressure/fvp',
    method: 'get',
    params: query
  })
}

// 查询裂解炉炉管测压MAX
export function listMax(query) {
  return request({
    url: '/production/pressure/max',
    method: 'get',
    params: query
  })
}

// 查询裂解炉炉管测压COIL
export function listCoil(query) {
  return request({
    url: '/production/pressure/coil',
    method: 'get',
    params: query
  })
}

// 查询裂解炉炉管测压列表
export function listPressure(query) {
  return request({
    url: '/production/pressure/list',
    method: 'get',
    params: query
  })
}

// 查询裂解炉炉管测压详细
export function getPressure(id) {
  return request({
    url: '/production/pressure/' + id,
    method: 'get'
  })
}

// 新增裂解炉炉管测压
export function addPressure(data) {
  return request({
    url: '/production/pressure',
    method: 'post',
    data: data
  })
}

// 修改裂解炉炉管测压
export function updatePressure(data) {
  return request({
    url: '/production/pressure/editWeb',
    method: 'put',
    data: data
  })
}

// 删除裂解炉炉管测压
export function delPressure(id) {
  return request({
    url: '/production/pressure/' + id,
    method: 'delete'
  })
}

// 导出裂解炉炉管测压
export function exportPressure(query) {
  return request({
    url: '/production/pressure/export',
    method: 'get',
    params: query
  })
}
